Clive Barker's Jericho

Informations

Creator Message
otty Anonymous

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 16080
Wine: 3.0.3

Feedbacks

Description

FPS, 2007. Wikipedia.

Script by Adrian 'otty' Fuhrmann. You may need to disable shadows if you experience poor performances.

Appdb.winehq.org , PCGamingWiki.

Screenshots

MiniatureMiniature

Source code

#!/bin/bash
# Date : (2020-01-28)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 18.04 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions:  DVD-ROM (latest files: 2007-09-21)
#
# Middlewares used by this software : Physx .
#
# CHANGELOG
# CHANGELOG
# [otty] (2011-08-12 17:15)
#   Initial script (forked from GNU_Raziel's).
# [Dadu042] (2020-01-27 17:00)
#   Wine 1.2.3 -> 2.22
# [Dadu042] (2020-01-28 19:00)
#   New script.
#   Wine 2.22 -> 3.0.3
#
#
# KNOWN ISSUES:
#  - Wine x86 4.0.3: DRM prevent the game to run (DVD not detected). Fix: NoCD.
#  - Wine x86 2.22: Azerty keyboard not detected. Fix: Wine 3.0.3
#  - Wine x86 3.20: micro freezes, big log file (fixme:d3d:wined3d_texture_add_dirty_region Ignoring dirty_region ...).
#
# KNOWN ISSUES (FIXED):
#  - Wine amd64 4.0.3: X
  
  
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
  
TITLE="Clive Barker's Jericho"
PREFIX="Jericho"
EDITOR="Codemasters"
GAME_URL="https://en.wikipedia.org/wiki/Clive_Barker%27s_Jericho"
AUTHOR="Dadu042"
STEAM_ID="11420"
GAME_VMS="256"
SHORTCUT_FILENAME="Jer*.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="Read*.html"
 
# Starting the script
POL_SetupWindow_Init
              
# Starting debugging API
POL_Debug_Init
             
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
            
POL_RequiredVersion "4.1.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
       
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
        
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "3.0.3"
  
POL_System_TmpCreate "$PREFIX"
  
Set_OS "winxp"
  
#######################################
#  Installing mandatory dependencies  #
#######################################
 
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_vcrun2013

# POL_Call POL_Install_mdac28

# To avoid the game error message:  platform not supported
# Set_OS "win7"


# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43


# POL_Call POL_Install_directmusic
# POL_Call POL_Install_dsound
 
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_physx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
      
      
################
#      GPU     #
################
  
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
    
# Useful for Nvidia GPUs
POL_Call POL_Install_physx


#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
  
#######################################
#  Main part of this script           #
#######################################
      
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DVD,STEAM,STEAM_DEMO"

if [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
        STEAM_ID="11460"
fi

   
# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
   
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
           
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_Call POL_Function_NoCDWarning

        POL_SetupWindow_cdrom

        # POL_SetupWindow_check_cdrom jericho.css"
        POL_Wine start /unix "$CDROM/setup.exe"
          
        POL_Wine_WaitExit "$TITLE"
       
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
          
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
  
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the v1.01 .')" "$TITLE"
        POL_Download "http://redux.dune2k.com/down/R3v1p01.zip"
  
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "R3v1p01.zip" -d "$WINEPREFIX/drive_c/game/"
  
        # Extract without sub-folder.
        # unzip "acespeeder2.zip" -j -d "$WINEPREFIX/drive_c/"
  
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
   
        # cd  "$WINEPREFIX/drive_c/game/"
        # POL_Wine "RollingMadness3D-Installer.exe" # "/SILENT"
        # POL_Wine_WaitBefore "$TITLE"
        # rm RollingMadness3D-Installer.exe
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"

if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
        
        # Restore screen resolution (game's default is 640x480 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_QuietDebug "$TITLE"
  
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
       
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
  
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
  
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
                    
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
 
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
fi
fi
  
  
################
# Patch update #
################
 
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
  
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
  
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Thursday 30 January 2020 at 9:54
Dadu042

Information

This update has been approved by the team.

Differences

@@ -23,8 +23,9 @@
 #
 #
 # KNOWN ISSUES:
-#  - Wine x86 4.0.3: DRM prevent the game to run (DVD not detected).
+#  - Wine x86 4.0.3: DRM prevent the game to run (DVD not detected). Fix: NoCD.
 #  - Wine x86 2.22: Azerty keyboard not detected. Fix: Wine 3.0.3
+#  - Wine x86 3.20: micro freezes, big log file (fixme:d3d:wined3d_texture_add_dirty_region Ignoring dirty_region ...).
 #
 # KNOWN ISSUES (FIXED):
 #  - Wine amd64 4.0.3: X
@@ -133,7 +134,7 @@
       
 # Choose between Steam and other Digital Download versions
 # POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
-POL_SetupWindow_InstallMethod "LOCAL,DVD,STEAM"
+POL_SetupWindow_InstallMethod "LOCAL,DVD,STEAM,STEAM_DEMO"
 
 if [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
 	STEAM_ID="11460"

New source code

#!/bin/bash
# Date : (2020-01-28)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 18.04 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions:  DVD-ROM (latest files: 2007-09-21)
#
# Middlewares used by this software : Physx .
#
# CHANGELOG
# CHANGELOG
# [otty] (2011-08-12 17:15)
#   Initial script (forked from GNU_Raziel's).
# [Dadu042] (2020-01-27 17:00)
#   Wine 1.2.3 -> 2.22
# [Dadu042] (2020-01-28 19:00)
#   New script.
#   Wine 2.22 -> 3.0.3
#
#
# KNOWN ISSUES:
#  - Wine x86 4.0.3: DRM prevent the game to run (DVD not detected). Fix: NoCD.
#  - Wine x86 2.22: Azerty keyboard not detected. Fix: Wine 3.0.3
#  - Wine x86 3.20: micro freezes, big log file (fixme:d3d:wined3d_texture_add_dirty_region Ignoring dirty_region ...).
#
# KNOWN ISSUES (FIXED):
#  - Wine amd64 4.0.3: X
  
  
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
  
TITLE="Clive Barker's Jericho"
PREFIX="Jericho"
EDITOR="Codemasters"
GAME_URL="https://en.wikipedia.org/wiki/Clive_Barker%27s_Jericho"
AUTHOR="Dadu042"
STEAM_ID="11420"
GAME_VMS="256"
SHORTCUT_FILENAME="Jer*.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="Read*.html"
 
# Starting the script
POL_SetupWindow_Init
              
# Starting debugging API
POL_Debug_Init
             
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
            
POL_RequiredVersion "4.1.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
       
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
        
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "3.0.3"
  
POL_System_TmpCreate "$PREFIX"
  
Set_OS "winxp"
  
#######################################
#  Installing mandatory dependencies  #
#######################################
 
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_vcrun2013

# POL_Call POL_Install_mdac28

# To avoid the game error message:  platform not supported
# Set_OS "win7"


# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43


# POL_Call POL_Install_directmusic
# POL_Call POL_Install_dsound
 
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_physx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
      
      
################
#      GPU     #
################
  
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
    
# Useful for Nvidia GPUs
POL_Call POL_Install_physx


#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
  
#######################################
#  Main part of this script           #
#######################################
      
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DVD,STEAM,STEAM_DEMO"

if [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
        STEAM_ID="11460"
fi

   
# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
   
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
           
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_Call POL_Function_NoCDWarning

        POL_SetupWindow_cdrom

        # POL_SetupWindow_check_cdrom jericho.css"
        POL_Wine start /unix "$CDROM/setup.exe"
          
        POL_Wine_WaitExit "$TITLE"
       
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
          
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
  
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the v1.01 .')" "$TITLE"
        POL_Download "http://redux.dune2k.com/down/R3v1p01.zip"
  
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "R3v1p01.zip" -d "$WINEPREFIX/drive_c/game/"
  
        # Extract without sub-folder.
        # unzip "acespeeder2.zip" -j -d "$WINEPREFIX/drive_c/"
  
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
   
        # cd  "$WINEPREFIX/drive_c/game/"
        # POL_Wine "RollingMadness3D-Installer.exe" # "/SILENT"
        # POL_Wine_WaitBefore "$TITLE"
        # rm RollingMadness3D-Installer.exe
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"

if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
        
        # Restore screen resolution (game's default is 640x480 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_QuietDebug "$TITLE"
  
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
       
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
  
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
  
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
                    
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
 
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
fi
fi
  
  
################
# Patch update #
################
 
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
  
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
  
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Thursday 30 January 2020 at 9:42
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -1,123 +1,274 @@
 #!/bin/bash
-# Date : Unknown
-# Last revision : (2011-08-12 17:15)
-# Wine version used : 1.2.3
-# Distribution used to test : Linux Mint 11 x64
-# Author : otty
-# Updated by : GNU_Raziel
+# Date : (2020-01-28)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : Ubuntu 18.04 64 bits
+# Author : Dadu042
 # Licence : Retail
 # Only For : http://www.playonlinux.com
-# 2014-04-06: force architecture to 32bit (#3584)
+#
+# TESTED Editions:  DVD-ROM (latest files: 2007-09-21)
+#
+# Middlewares used by this software : Physx .
 #
 # CHANGELOG
+# CHANGELOG
 # [otty] (2011-08-12 17:15)
 #   Initial script (forked from GNU_Raziel's).
 # [Dadu042] (2020-01-27 17:00)
 #   Wine 1.2.3 -> 2.22
-
+# [Dadu042] (2020-01-28 19:00)
+#   New script.
+#   Wine 2.22 -> 3.0.3
+#
+#
+# KNOWN ISSUES:
+#  - Wine x86 4.0.3: DRM prevent the game to run (DVD not detected).
+#  - Wine x86 2.22: Azerty keyboard not detected. Fix: Wine 3.0.3
+#
+# KNOWN ISSUES (FIXED):
+#  - Wine amd64 4.0.3: X
+  
+  
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-
-TITLE="Clive Barker's jericho"
-TITLE_DEMO="Clive Barker's jericho (Demo)"
+  
+TITLE="Clive Barker's Jericho"
 PREFIX="Jericho"
-WORKING_WINE_VERSION="2.22"
+EDITOR="Codemasters"
+GAME_URL="https://en.wikipedia.org/wiki/Clive_Barker%27s_Jericho"
+AUTHOR="Dadu042"
+STEAM_ID="11420"
 GAME_VMS="256"
-
+SHORTCUT_FILENAME="Jer*.exe"
+SOFTWARE_CATEGORIES="Game;ActionGame;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+DOCUMENT_FILE="Read*.html"
+ 
 # Starting the script
-rm "$POL_USER_ROOT/tmp/*.jpg"
-POL_GetSetupImages "http://files.playonlinux.com/resources/setups/top.jpg" "http://files.playonlinux.com/resources/setups/jericho/left.jpg" "$TITLE"
 POL_SetupWindow_Init
-
+              
 # Starting debugging API
 POL_Debug_Init
-
-POL_SetupWindow_presentation "$TITLE" "Codemasters" "http://www.codemasters.com" "otty & GNU_Raziel" "$PREFIX"
-
+             
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+            
+POL_RequiredVersion "4.1.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+       
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-
+ 
+# Determine Architecture
+# POL_System_SetArch "amd64"
+POL_System_SetArch "x86"
+        
 # Downloading wine if necessary and creating prefix
-#POL_System_SetArch "auto"
-POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+POL_Wine_PrefixCreate "3.0.3"
+  
+POL_System_TmpCreate "$PREFIX"
+  
+Set_OS "winxp"
+  
+#######################################
+#  Installing mandatory dependencies  #
+#######################################
+ 
+# POL_Call POL_Install_dotnet40
+# POL_Call POL_Install_vcrun2013
+
+# POL_Call POL_Install_mdac28
+
+# To avoid the game error message:  platform not supported
+# Set_OS "win7"
+
+
+# POL_Call POL_Install_d3dx9_43
+# POL_Call POL_Install_d3dcompiler_43
+
+
+# POL_Call POL_Install_directmusic
+# POL_Call POL_Install_dsound
+ 
+# POL_Call POL_Install_dotnet20
+# POL_Call POL_Install_dotnet40
+# POL_Call POL_Install_mfc42
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_physx
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+      
+      
+################
+#      GPU     #
+################
+  
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+   
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+    
+# Useful for Nvidia GPUs
+POL_Call POL_Install_physx
 
-# Choose between DVD and Digital Download version
-POL_SetupWindow_InstallMethod "STEAM_DEMO,DVD,STEAM,LOCAL"
 
-# Installing mandatory dependencies
-if [ "$INSTALL_METHOD" == "STEAM" ] || [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
-	POL_Call POL_Install_steam
-fi
-POL_Call POL_Install_gdiplus
-POL_Call POL_Install_dxfullsetup
-POL_Call POL_Install_physx
+#############################################
+#  Sound problem fix - pulseaudio related   #
+#############################################
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+   
+  
+#######################################
+#  Main part of this script           #
+#######################################
+      
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL,DVD,STEAM"
 
-# Mandatory pre-install fix for steam
 if [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
-	POL_Call POL_Install_steam_flags "11460"
-else
-	POL_Call POL_Install_steam_flags "11420"
+	STEAM_ID="11460"
 fi
 
+   
+# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
+# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
+   
 # Begin game installation
-if [ "$INSTALL_METHOD" == "DVD" ]; then
-	# Asking for CDROM and checking if it's correct one
-	POL_SetupWindow_message "$(eval_gettext 'Please insert game media into your disk drive\nif not already done.')"
-	POL_SetupWindow_cdrom
-	POL_SetupWindow_check_cdrom "Icon.ico"
-	POL_Wine start /unix "$CDROM/setup.exe"
-	POL_Wine_WaitExit "$TITLE"
-elif [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
-	cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
-	POL_Wine start /unix "steam.exe" steam://install/11460
-	POL_Wine_WaitExit "$TITLE"
-elif [ "$INSTALL_METHOD" == "STEAM" ]; then
-	cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
-	POL_Wine start /unix "steam.exe" steam://install/11420
-	POL_Wine_WaitExit "$TITLE"
-else
-	# Asking then installing DDV of the game
-	cd "$HOME"
-	POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run:')" "$TITLE"
-	SETUP_EXE="$APP_ANSWER"
-	POL_Wine start /unix "$SETUP_EXE"
-	POL_Wine_WaitExit "$TITLE"
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+           
+elif [ "$INSTALL_METHOD" == "DVD" ]; then
+        POL_Call POL_Function_NoCDWarning
+
+        POL_SetupWindow_cdrom
+
+        # POL_SetupWindow_check_cdrom jericho.css"
+        POL_Wine start /unix "$CDROM/setup.exe"
+          
+        POL_Wine_WaitExit "$TITLE"
+       
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+          
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+   
+   
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
+        cd "$WINEPREFIX/drive_c"
+  
+        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the v1.01 .')" "$TITLE"
+        POL_Download "http://redux.dune2k.com/down/R3v1p01.zip"
+  
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "R3v1p01.zip" -d "$WINEPREFIX/drive_c/game/"
+  
+        # Extract without sub-folder.
+        # unzip "acespeeder2.zip" -j -d "$WINEPREFIX/drive_c/"
+  
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+   
+        # cd  "$WINEPREFIX/drive_c/game/"
+        # POL_Wine "RollingMadness3D-Installer.exe" # "/SILENT"
+        # POL_Wine_WaitBefore "$TITLE"
+        # rm RollingMadness3D-Installer.exe
+  
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+  
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+       
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+  
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        APP_ANSWER=".EXE"
+
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+        
+        # Restore screen resolution (game's default is 640x480 ?)
+        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+        
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_QuietDebug "$TITLE"
+  
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+       
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+  
+        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
+  
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+  
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+                    
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+ 
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
 fi
-
-# Asking about memory size of graphic card
-POL_SetupWindow_VMS $GAME_VMS
-
-# Fix for this game
-# Sound problem fix - pulseaudio related
-POL_Wine_OverrideDLL "" "mmdevapi" # Only if wine < 1.2.4
-[ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
-[ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
-## End Fix
-
-## PlayOnMac Section
-[ "$POL_OS" = "Mac" ] && Set_Managed "Off"
-## End Section
-
-# Cleaning temp
-if [ -e "$WINEPREFIX/drive_c/windows/temp/" ]; then
-	rm -rf "$WINEPREFIX/drive_c/windows/temp/*"
-	chmod -R 777 "$POL_USER_ROOT/tmp/"
-	rm -rf "$POL_USER_ROOT/tmp/*"
 fi
-
-# Making shortcut
-if [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
-	POL_Shortcut "steam.exe" "$TITLE_DEMO" "$TITLE.png" "steam://rungameid/11460"
-elif [ "$INSTALL_METHOD" == "STEAM" ]; then
-	POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/11420"
-else
-	POL_Shortcut "Jericho.exe" "$TITLE" "$TITLE.png" "" "Game;"
+  
+  
+################
+# Patch update #
+################
+ 
+# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
+  
+if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
+        PATCH_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$PATCH_EXE"
+        POL_Wine_WaitExit "$PATCH_EXE"
 fi
-
-# Game protection warning
-if [ "$INSTALL_METHOD" == "DVD" ]; then
-	POL_SetupWindow_message "$(eval_gettext 'You must disable anti-piracy protections of this game\nif you want to play it with wine.')" "$TITLE"
-fi
-
+   
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+  
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+   
+# Fail ?
+# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
+  
+POL_System_TmpDelete
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2020-01-28)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 18.04 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions:  DVD-ROM (latest files: 2007-09-21)
#
# Middlewares used by this software : Physx .
#
# CHANGELOG
# CHANGELOG
# [otty] (2011-08-12 17:15)
#   Initial script (forked from GNU_Raziel's).
# [Dadu042] (2020-01-27 17:00)
#   Wine 1.2.3 -> 2.22
# [Dadu042] (2020-01-28 19:00)
#   New script.
#   Wine 2.22 -> 3.0.3
#
#
# KNOWN ISSUES:
#  - Wine x86 4.0.3: DRM prevent the game to run (DVD not detected).
#  - Wine x86 2.22: Azerty keyboard not detected. Fix: Wine 3.0.3
#
# KNOWN ISSUES (FIXED):
#  - Wine amd64 4.0.3: X
  
  
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
  
TITLE="Clive Barker's Jericho"
PREFIX="Jericho"
EDITOR="Codemasters"
GAME_URL="https://en.wikipedia.org/wiki/Clive_Barker%27s_Jericho"
AUTHOR="Dadu042"
STEAM_ID="11420"
GAME_VMS="256"
SHORTCUT_FILENAME="Jer*.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="Read*.html"
 
# Starting the script
POL_SetupWindow_Init
              
# Starting debugging API
POL_Debug_Init
             
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
            
POL_RequiredVersion "4.1.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
       
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
 
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
        
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "3.0.3"
  
POL_System_TmpCreate "$PREFIX"
  
Set_OS "winxp"
  
#######################################
#  Installing mandatory dependencies  #
#######################################
 
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_vcrun2013

# POL_Call POL_Install_mdac28

# To avoid the game error message:  platform not supported
# Set_OS "win7"


# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43


# POL_Call POL_Install_directmusic
# POL_Call POL_Install_dsound
 
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_physx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
      
      
################
#      GPU     #
################
  
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
    
# Useful for Nvidia GPUs
POL_Call POL_Install_physx


#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
  
#######################################
#  Main part of this script           #
#######################################
      
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,DVD,STEAM"

if [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
        STEAM_ID="11460"
fi

   
# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
   
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
           
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_Call POL_Function_NoCDWarning

        POL_SetupWindow_cdrom

        # POL_SetupWindow_check_cdrom jericho.css"
        POL_Wine start /unix "$CDROM/setup.exe"
          
        POL_Wine_WaitExit "$TITLE"
       
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
          
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
  
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the v1.01 .')" "$TITLE"
        POL_Download "http://redux.dune2k.com/down/R3v1p01.zip"
  
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "R3v1p01.zip" -d "$WINEPREFIX/drive_c/game/"
  
        # Extract without sub-folder.
        # unzip "acespeeder2.zip" -j -d "$WINEPREFIX/drive_c/"
  
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
   
        # cd  "$WINEPREFIX/drive_c/game/"
        # POL_Wine "RollingMadness3D-Installer.exe" # "/SILENT"
        # POL_Wine_WaitBefore "$TITLE"
        # rm RollingMadness3D-Installer.exe
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".EXE"

if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
        
        # Restore screen resolution (game's default is 640x480 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
        
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_QuietDebug "$TITLE"
  
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
       
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
  
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
  
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
  
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
                    
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
 
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
fi
fi
  
  
################
# Patch update #
################
 
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
  
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
  
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Monday 27 January 2020 at 17:28
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -8,6 +8,12 @@
 # Licence : Retail
 # Only For : http://www.playonlinux.com
 # 2014-04-06: force architecture to 32bit (#3584)
+#
+# CHANGELOG
+# [otty] (2011-08-12 17:15)
+#   Initial script (forked from GNU_Raziel's).
+# [Dadu042] (2020-01-27 17:00)
+#   Wine 1.2.3 -> 2.22
 
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
@@ -15,7 +21,7 @@
 TITLE="Clive Barker's jericho"
 TITLE_DEMO="Clive Barker's jericho (Demo)"
 PREFIX="Jericho"
-WORKING_WINE_VERSION="1.2.3"
+WORKING_WINE_VERSION="2.22"
 GAME_VMS="256"
 
 # Starting the script
@@ -105,7 +111,7 @@
 elif [ "$INSTALL_METHOD" == "STEAM" ]; then
 	POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/11420"
 else
-	POL_Shortcut "Jericho.exe" "$TITLE" "$TITLE.png" ""
+	POL_Shortcut "Jericho.exe" "$TITLE" "$TITLE.png" "" "Game;"
 fi
 
 # Game protection warning

New source code

#!/bin/bash
# Date : Unknown
# Last revision : (2011-08-12 17:15)
# Wine version used : 1.2.3
# Distribution used to test : Linux Mint 11 x64
# Author : otty
# Updated by : GNU_Raziel
# Licence : Retail
# Only For : http://www.playonlinux.com
# 2014-04-06: force architecture to 32bit (#3584)
#
# CHANGELOG
# [otty] (2011-08-12 17:15)
#   Initial script (forked from GNU_Raziel's).
# [Dadu042] (2020-01-27 17:00)
#   Wine 1.2.3 -> 2.22

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Clive Barker's jericho"
TITLE_DEMO="Clive Barker's jericho (Demo)"
PREFIX="Jericho"
WORKING_WINE_VERSION="2.22"
GAME_VMS="256"

# Starting the script
rm "$POL_USER_ROOT/tmp/*.jpg"
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/top.jpg" "http://files.playonlinux.com/resources/setups/jericho/left.jpg" "$TITLE"
POL_SetupWindow_Init

# Starting debugging API
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Codemasters" "http://www.codemasters.com" "otty & GNU_Raziel" "$PREFIX"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"

# Downloading wine if necessary and creating prefix
#POL_System_SetArch "auto"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

# Choose between DVD and Digital Download version
POL_SetupWindow_InstallMethod "STEAM_DEMO,DVD,STEAM,LOCAL"

# Installing mandatory dependencies
if [ "$INSTALL_METHOD" == "STEAM" ] || [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
        POL_Call POL_Install_steam
fi
POL_Call POL_Install_gdiplus
POL_Call POL_Install_dxfullsetup
POL_Call POL_Install_physx

# Mandatory pre-install fix for steam
if [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
        POL_Call POL_Install_steam_flags "11460"
else
        POL_Call POL_Install_steam_flags "11420"
fi

# Begin game installation
if [ "$INSTALL_METHOD" == "DVD" ]; then
        # Asking for CDROM and checking if it's correct one
        POL_SetupWindow_message "$(eval_gettext 'Please insert game media into your disk drive\nif not already done.')"
        POL_SetupWindow_cdrom
        POL_SetupWindow_check_cdrom "Icon.ico"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "$TITLE"
elif [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/11460
        POL_Wine_WaitExit "$TITLE"
elif [ "$INSTALL_METHOD" == "STEAM" ]; then
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/11420
        POL_Wine_WaitExit "$TITLE"
else
        # Asking then installing DDV of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run:')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
fi

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS

# Fix for this game
# Sound problem fix - pulseaudio related
POL_Wine_OverrideDLL "" "mmdevapi" # Only if wine < 1.2.4
[ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
[ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix

## PlayOnMac Section
[ "$POL_OS" = "Mac" ] && Set_Managed "Off"
## End Section

# Cleaning temp
if [ -e "$WINEPREFIX/drive_c/windows/temp/" ]; then
        rm -rf "$WINEPREFIX/drive_c/windows/temp/*"
        chmod -R 777 "$POL_USER_ROOT/tmp/"
        rm -rf "$POL_USER_ROOT/tmp/*"
fi

# Making shortcut
if [ "$INSTALL_METHOD" == "STEAM_DEMO" ]; then
        POL_Shortcut "steam.exe" "$TITLE_DEMO" "$TITLE.png" "steam://rungameid/11460"
elif [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/11420"
else
        POL_Shortcut "Jericho.exe" "$TITLE" "$TITLE.png" "" "Game;"
fi

# Game protection warning
if [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_message "$(eval_gettext 'You must disable anti-piracy protections of this game\nif you want to play it with wine.')" "$TITLE"
fi

POL_SetupWindow_Close
exit 0

Replies